%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major         0
%define api           1
%define gi_major      1.0
%define libname       %mklibname polkit-gtk-mate %{api} %{major}
%define develname     %mklibname -d polkit-gtk-mate
%define girname       %mklibname polkitgtkmate-gir %{gi_major}

Summary:        PolicyKit integration for the MATE desktop
Name:           mate-polkit
Version:        1.28.1
Release:        %mkrel 1
License:        LGPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         mate-polkit-1.10.2-mga-other_DEs_autostart.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(appindicator3-0.1) >= 0.0.13
BuildRequires:  pkgconfig(polkit-agent-1) >= 0.97
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.36.0

Requires:       dbus-x11
Provides:       polkit-agent
Provides:       polkit-mate = %{version}-%{release}
Provides:       %{libname} = %{version}-%{release}
Provides:       %{develname} = %{version}-%{release}
Obsoletes:      %{libname}
Obsoletes:      %{develname}

%description
PolicyKit authentication agent for MATE desktop.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static --enable-appindicator
        

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%{_libexecdir}/polkit-mate-authentication-agent-1

%pre
rm -f /etc/xdg/autostart/polkit-mate-authentication-agent-1.desktop

%clean
rm -rf  %{buildroot}

%changelog
* Mon Feb 26 2024 tex - 1.28.1-1pclos2024
- new version

* Fri Feb 16 2024 tex - 1.28.0-1pclos2024
- new version

* Wed Dec 07 2022 tex - 1.26.1-1pclos2022
- new version

* Sat May 21 2022 tex - 1.26.0-2pclos2022
- fix polkit for Trinity per Allistair

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Feb 11 2020 tex - 1.24.0-1pclos2020
- Update to version 1.24.0
